about summary refs log tree commit diff
path: root/pkgs/desktops/kde-5
diff options
context:
space:
mode:
authorThomas Tuegel <ttuegel@gmail.com>2016-07-15 18:25:15 -0500
committerThomas Tuegel <ttuegel@gmail.com>2016-07-16 10:14:49 -0500
commit475ad4c7c3e458480bf4fa562eb4b3add5b710d7 (patch)
tree9d1a26696ef23ee53737e13532a86890ba49162d /pkgs/desktops/kde-5
parent32c1f05aedb978e6b9ea643e8a41f5776414272f (diff)
downloadnixlib-475ad4c7c3e458480bf4fa562eb4b3add5b710d7.tar
nixlib-475ad4c7c3e458480bf4fa562eb4b3add5b710d7.tar.gz
nixlib-475ad4c7c3e458480bf4fa562eb4b3add5b710d7.tar.bz2
nixlib-475ad4c7c3e458480bf4fa562eb4b3add5b710d7.tar.lz
nixlib-475ad4c7c3e458480bf4fa562eb4b3add5b710d7.tar.xz
nixlib-475ad4c7c3e458480bf4fa562eb4b3add5b710d7.tar.zst
nixlib-475ad4c7c3e458480bf4fa562eb4b3add5b710d7.zip
kde5.startkde: update script based on plasma-workspace-5.7.1
Diffstat (limited to 'pkgs/desktops/kde-5')
-rwxr-xr-xpkgs/desktops/kde-5/plasma/startkde/startkde.sh30
1 files changed, 14 insertions, 16 deletions
diff --git a/pkgs/desktops/kde-5/plasma/startkde/startkde.sh b/pkgs/desktops/kde-5/plasma/startkde/startkde.sh
index a626fdc2b5a8..18cf08081c4b 100755
--- a/pkgs/desktops/kde-5/plasma/startkde/startkde.sh
+++ b/pkgs/desktops/kde-5/plasma/startkde/startkde.sh
@@ -77,7 +77,7 @@ kcminputrc Mouse cursorTheme 'breeze_cursors'
 kcminputrc Mouse cursorSize ''
 ksplashrc KSplash Theme Breeze
 ksplashrc KSplash Engine KSplashQML
-kdeglobals KScreen ScaleFactor 1
+kdeglobals KScreen ScreenScaleFactors ''
 kcmfonts General forceFontDPI 0
 EOF
 
@@ -157,20 +157,6 @@ xsetroot -cursor_name left_ptr
 dl=$DESKTOP_LOCKED
 unset DESKTOP_LOCKED # Don't want it in the environment
 
-# Make sure that D-Bus is running
-# D-Bus autolaunch is broken
-if test -z "$DBUS_SESSION_BUS_ADDRESS" ; then
-    eval $(dbus-launch --sh-syntax --exit-with-session)
-fi
-if qdbus >/dev/null 2>/dev/null; then
-    : # ok
-else
-    echo 'startkde: Could not start D-Bus. Can you call qdbus?'  1>&2
-    test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
-    xmessage -geometry 500x100 "Could not start D-Bus. Can you call qdbus?"
-    exit 1
-fi
-
 ksplash_pid=
 if test -z "$dl"; then
   # the splashscreen and progress indicator
@@ -209,6 +195,16 @@ done
 
 echo 'startkde: Starting up...'  1>&2
 
+# Make sure that D-Bus is running
+if $qdbus >/dev/null 2>/dev/null; then
+    : # ok
+else
+    echo 'startkde: Could not start D-Bus. Can you call qdbus?'  1>&2
+    test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
+    xmessage -geometry 500x100 "Could not start D-Bus. Can you call qdbus?"
+    exit 1
+fi
+
 # Mark that full KDE session is running (e.g. Konqueror preloading works only
 # with full KDE running). The KDE_FULL_SESSION property can be detected by
 # any X client connected to the same X session, even if not launched
@@ -255,7 +251,7 @@ if test -n "$PAM_KWALLET5_LOGIN" ; then
 fi
 
 # At this point all environment variables are set, let's send it to the DBus session server to update the activation environment
-ksyncdbusenv
+dbus-update-activation-environment --systemd --all
 if test $? -ne 0; then
   # Startup error
   echo 'startkde: Could not sync environment to dbus.'  1>&2
@@ -275,6 +271,8 @@ if test $? -ne 0; then
   exit 1
 fi
 
+qdbus org.kde.KSplash /KSplash org.kde.KSplash.setStage kinit
+
 # (NixOS) Run kbuildsycoca5 before starting the user session because things
 # may be missing or moved if they have run nixos-rebuild and it may not be
 # possible for them to start Konsole to run it manually!